各版本的RN(0.38 0.39.2 0.41.2) 都试过还是出现这个问题 Strict mode does not allow function declarations in a lexically nested statement.?



  • alt text
    各版本的RN(0.38 0.39.2 0.41.2 在安卓上会出现) 都试过还是出现这个问题 Strict mode does not allow function declarations in a lexically nested statement.? 在debug 环境下是能跑 但是非常卡!

    这两种方法都试过

    方法一:在新建项目时,使用命令react-native init 项目名 --version 0.38.0

    方法二:打开工程中node_modules\react-native\Libraries\Core\InitializeCore.js文件找到 112 行,更改function handleError(e, isFatal) 为 var handleError = function(e, isFatal)然后在工程中执行 npm start --reset-cache重新启动
    **
    还是不行!**
    你们有什么方法可以解决一下


  • administrators

    应该是0.39.2修复的
    你是不是没有重启packager



  • 有的 我关掉packager 再跑还是出现


登录后回复